Skip to content
Start here

List saved query matches

brand_protection.v2.matches.get(MatchGetParams**kwargs) -> MatchGetResponse
GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/domain/matches

Get paginated list of domain matches for one or more brand protection queries. When multiple query_ids are provided (comma-separated), matches are deduplicated across queries and each match includes a matched_queries array.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
account_id: str
minLength1
query_id: SequenceNotStr[str]

Query ID or comma-separated list of Query IDs. When multiple IDs are provided, matches are deduplicated across queries and each match includes matched_queries and match_ids arrays.

include_dismissed: Optional[str]
include_domain_id: Optional[str]
limit: Optional[str]
offset: Optional[str]
order: Optional[Literal["asc", "desc"]]

Sort order. Options: ‘asc’ (ascending) or ‘desc’ (descending)

One of the following:
"asc"
"desc"
order_by: Optional[Literal["domain", "first_seen"]]

Column to sort by. Options: ‘domain’ or ‘first_seen’

One of the following:
"domain"
"first_seen"
ReturnsExpand Collapse
class MatchGetResponse:
matches: List[Match]
dismissed: bool
domain: str
first_seen: str
public_scans: Optional[MatchPublicScans]
submission_id: str
scan_status: str
scan_submission_id: Optional[int]
source: Optional[str]
match_ids: Optional[List[int]]

All underlying match row IDs for this domain. Only present when multiple query_ids are requested.

matched_queries: Optional[List[int]]

List of query IDs that produced this match. Only present when multiple query_ids are requested.

total: int
minimum0

List saved query matches

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
match = client.brand_protection.v2.matches.get(
    account_id="x",
    query_id=["string"],
)
print(match.matches)
{
  "matches": [
    {
      "dismissed": true,
      "domain": "domain",
      "first_seen": "first_seen",
      "public_scans": {
        "submission_id": "submission_id"
      },
      "scan_status": "scan_status",
      "scan_submission_id": 0,
      "source": "source",
      "match_ids": [
        0
      ],
      "matched_queries": [
        0
      ]
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "dismissed": true,
      "domain": "domain",
      "first_seen": "first_seen",
      "public_scans": {
        "submission_id": "submission_id"
      },
      "scan_status": "scan_status",
      "scan_submission_id": 0,
      "source": "source",
      "match_ids": [
        0
      ],
      "matched_queries": [
        0
      ]
    }
  ],
  "total": 0
}